<?xml version="1.0" encoding="ASCII"?>
<state:StateMachine xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:state="http://state/1.0" xsi:schemaLocation="http://state/1.0 State.ecore" xmi:id="_1">
  <states xsi:type="state:SingleState" xmi:id="_2" name="Init" isInitial="true">
    <outgoing xmi:id="_3" target="_4" event="init"/>
  </states>
  <states xsi:type="state:SingleState" xmi:id="_4" name="Idle" incoming="_3 //@states.2/@outgoing.0" isInitial="false">
    <outgoing xmi:id="_5" target="//@states.2" event="lift"/>
  </states>
  <states xsi:type="state:CompositeState" name="Active" incoming="_5" xmi:id="_99">
    <outgoing target="_4" event="hang_up" xmi:id="_8"/>
    <ownedStates xsi:type="state:SingleState" name="init" isInitial="true" xmi:id="_97">
      <outgoing target="//@states.2/@ownedStates.1" event="init" xmi:id="_96"/>
    </ownedStates>
    <ownedStates xsi:type="state:SingleState" name="DialTone" incoming="//@states.2/@ownedStates.0/@outgoing.0" xmi:id="_6">
      <outgoing target="//@states.2/@ownedStates.2" event="dial" xmi:id="_7"/>
    </ownedStates>
    <ownedStates xsi:type="state:SingleState" name="Dialing" incoming="//@states.2/@ownedStates.1/@outgoing.0" isFinal="false" xmi:id="_9"/>
  </states>
</state:StateMachine>
